<div [hidden]=" !open " class=" app-filter p-8">

		<div>
			<mat-form-field appearance="outline" fxFlex="">
				<mat-label> Приемная кампания </mat-label>
				<mat-select multiple
					[(ngModel)]="params.filter_campaign"
					#selectCampaign
					(ngModelChange)="changeSelectValue($event, selectCampaign, 'campaign')">
					<mat-select-trigger>
						{{ params.filter_campaign | customSelectedValue : selectCampaign}}
					</mat-select-trigger>
					<ngx-mat-select-search
						[placeholderLabel]="'Поиск'"
						[noEntriesFoundLabel]="'Данные не найдены'"
						[(ngModel)]="cls.campaign.search"  [ngModelOptions]="{standalone: true}">
						<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
					</ngx-mat-select-search>
					<mat-option [value]="item.id" *ngFor="let item of cls.campaign.data | filter: cls.campaign.search" class="multiline-select">
						{{item.name}}
					</mat-option>
				</mat-select>
				<button  mat-icon-button matSuffix aria-label="Clear">
					<mat-icon matSuffix svgIcon="close" (click)="deleteSelect('filter_campaign', selectCampaign, 'campaign'); $event.stopPropagation()"></mat-icon>
				</button>

			</mat-form-field>
		</div>

		<div>
			<mat-form-field appearance="outline" fxFlex="">
				<mat-label> Конкурсная группа </mat-label>
				<mat-select multiple
					[(ngModel)]="params.filter_competitive"
					#selectCompetitive
					(ngModelChange)="changeSelectValue($event, selectCompetitive, 'competitive')">
					<mat-select-trigger>
						{{ params.filter_competitive | customSelectedValue : selectCompetitive}}
					</mat-select-trigger>
					<ngx-mat-select-search
						[placeholderLabel]="'Поиск'"
						[noEntriesFoundLabel]="'Данные не найдены'"
						[(ngModel)]="cls.competitive.search"  [ngModelOptions]="{standalone: true}">
						<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
					</ngx-mat-select-search>
					<mat-option #matOption
						[value]="item.id"
						*ngFor="let item of cls.competitive.data | filter: cls.competitive.search"
						class="multiline-select">
						{{ item.name }}
					</mat-option>
				</mat-select>
				<button  mat-icon-button matSuffix aria-label="Clear">
					<mat-icon matSuffix svgIcon="close"
						(click)="deleteSelect('filter_competitive', selectCompetitive, 'competitive'); $event.stopPropagation()">
					</mat-icon>
				</button>


			</mat-form-field>

		</div>

		<div>
			<mat-form-field appearance="outline" fxFlex="">
				<mat-label> Статус </mat-label>
				<mat-select multiple
					[(ngModel)]="params.filter_status"
					(ngModelChange)="changeSelectValue($event, selectStatus, 'status')"
					#selectStatus >
					<mat-select-trigger>
						{{ params.filter_status | customSelectedValue : selectStatus: 5 }}
					</mat-select-trigger>
					<ngx-mat-select-search
						[placeholderLabel]="'Поиск'"
						[noEntriesFoundLabel]="'Данные не найдены'"
						[(ngModel)]="cls.status.search"  [ngModelOptions]="{standalone: true}">
						<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
					</ngx-mat-select-search>
					<mat-option #matOption [value]="item.id" *ngFor="let item of cls.status.data | filter: cls.status.search" class="multiline-select">
						{{ item.name }}
					</mat-option>
				</mat-select>
				<button  mat-icon-button matSuffix aria-label="Clear">
					<mat-icon matSuffix svgIcon="close" (click)="deleteSelect('filter_status', selectStatus, 'status'); $event.stopPropagation()"></mat-icon>
				</button>
			</mat-form-field>
		</div>

</div>


